<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: src/generateur_carte.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">generateur_carte.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Fichier pour generer des cartes.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="map_8h_source.html">../include/map.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a39dfa37416d4637c92aed49123c5f053"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="generateur__carte_8c.html#a39dfa37416d4637c92aed49123c5f053">initialiser_plateau</a> ()</td></tr>
<tr class="memdesc:a39dfa37416d4637c92aed49123c5f053"><td class="mdescLeft">&#160;</td><td class="mdescRight">fonction qui initialise le plateau de jeu avec des 3 pour etre sur deviter les erreur  <a href="generateur__carte_8c.html#a39dfa37416d4637c92aed49123c5f053">More...</a><br /></td></tr>
<tr class="separator:a39dfa37416d4637c92aed49123c5f053"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d0c2a91304fae4a91c176760de7b5ca"><td class="memItemLeft" align="right" valign="top"><a id="a7d0c2a91304fae4a91c176760de7b5ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>afficher_plateau_g</b> ()</td></tr>
<tr class="separator:a7d0c2a91304fae4a91c176760de7b5ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="generateur__carte_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
<tr class="memdesc:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">fonction main  <a href="generateur__carte_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">More...</a><br /></td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Fichier pour generer des cartes. </p>
<dl class="section author"><dt>Author</dt><dd></dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd></dd></dl>
<p>Foncion pour creer ou generer un fichier avec une map 0 et 1 </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a39dfa37416d4637c92aed49123c5f053"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39dfa37416d4637c92aed49123c5f053">&#9670;&nbsp;</a></span>initialiser_plateau()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void initialiser_plateau </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fonction qui initialise le plateau de jeu avec des 3 pour etre sur deviter les erreur </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>void pas de retour </dd></dl>
<div class="fragment"><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code" href="map_8h.html#a0240ac851181b84ac374872dc5434ee4">N</a>; i++)</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> j = 0; j &lt; <a class="code" href="map_8h.html#a52037c938e3c1b126c6277da5ca689d0">M</a>; j++)</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            plateau[i][j] = 4; <span class="comment">//Initialisation à 4 pour être sur de ne pas avoir de 0 ou -1</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        }</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    }</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div>
<div class="ttc" id="amap_8h_html_a0240ac851181b84ac374872dc5434ee4"><div class="ttname"><a href="map_8h.html#a0240ac851181b84ac374872dc5434ee4">N</a></div><div class="ttdeci">#define N</div><div class="ttdef"><b>Definition:</b> map.h:21</div></div>
<div class="ttc" id="amap_8h_html_a52037c938e3c1b126c6277da5ca689d0"><div class="ttname"><a href="map_8h.html#a52037c938e3c1b126c6277da5ca689d0">M</a></div><div class="ttdeci">#define M</div><div class="ttdef"><b>Definition:</b> map.h:22</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae66f6b31b5ad750f1fe042a706a4e3d4">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fonction main </p>
<p>Fonction main.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>int 0</dd>
<dd>
int 0</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>EXIT_SUCCESS</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>void pas de retour </dd></dl>
<div class="fragment"><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;{</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="generateur__carte_8c.html#a39dfa37416d4637c92aed49123c5f053">initialiser_plateau</a>();</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    srand (time(NULL));</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    afficher_plateau_g();</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="comment">//CHOIX</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">int</span> choix =0;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordflow">do</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        printf(<span class="stringliteral">&quot;1 : -- Mode de création de map aléatoire --\n2 : -- Mode de création de map personnalisé\n Choix : &quot;</span>);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        scanf(<span class="stringliteral">&quot;%i&quot;</span>, &amp;choix);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    }<span class="keywordflow">while</span>(choix != 1 &amp;&amp; choix != 2);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">int</span> mi = -1;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">int</span> ma = 0;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordflow">switch</span>(choix)</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    {</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keywordflow">case</span> 1: <span class="comment">//Creation aleatoire</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code" href="map_8h.html#a0240ac851181b84ac374872dc5434ee4">N</a>; i++)</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;            {</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                <span class="keywordflow">for</span>(<span class="keywordtype">int</span> j = 0; j &lt; <a class="code" href="map_8h.html#a52037c938e3c1b126c6277da5ca689d0">M</a>; j++)</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                {</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                    plateau[i][j] = rand()%(ma-mi+1)+mi;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                }</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            }</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            afficher_plateau_g();</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <span class="keywordflow">case</span> 2: <span class="comment">//Creation personnalisée</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            printf(<span class="stringliteral">&quot;EDITEUR DE MAP : Création \n 0 pour VIDE , -1 pour MUR : &quot;</span>);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code" href="map_8h.html#a0240ac851181b84ac374872dc5434ee4">N</a>; i++)</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            {</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                <span class="keywordflow">for</span>(<span class="keywordtype">int</span> j = 0; j &lt; <a class="code" href="map_8h.html#a52037c938e3c1b126c6277da5ca689d0">M</a>; j++)</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                {</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                    </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                    <span class="keywordflow">do</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                    {</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                        printf(<span class="stringliteral">&quot;EDITEUR DE MAP : Création \n 0 pour VIDE , 1 pour MUR , 2 pour POS_ROUGE, 3 pour POS_BLEUE: &quot;</span>);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                        scanf(<span class="stringliteral">&quot;%i&quot;</span>, &amp;choix);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;                        </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;                    }<span class="keywordflow">while</span>(choix != 1 &amp;&amp; choix != 0 &amp;&amp; choix != 2 &amp;&amp; choix != 3);</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160; </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;                    <span class="keywordflow">switch</span>(choix)</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;                    {</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;                        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;                            plateau[i][j] = 0;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;                            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;                            plateau[i][j] = -1;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;                            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                            plateau[i][j] = 2;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;                        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;                            plateau[i][j] = 3;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                    }</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                    afficher_plateau_g();</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                }</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            }</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            <span class="keywordflow">break</span>;  </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    }</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160; </div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="comment">//Ecriture dans le fichier</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    FILE * <span class="keyword">new</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keyword">new</span> = fopen(<span class="stringliteral">&quot;new_map.txt&quot;</span>, <span class="stringliteral">&quot;w&quot;</span>);</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="keywordflow">if</span>(<span class="keyword">new</span> != NULL)</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    {</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code" href="map_8h.html#a0240ac851181b84ac374872dc5434ee4">N</a>; i++)</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        {</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;            <span class="keywordflow">for</span>(<span class="keywordtype">int</span> j = 0; j &lt; <a class="code" href="map_8h.html#a52037c938e3c1b126c6277da5ca689d0">M</a>; j++)</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            {</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;                <span class="keywordflow">switch</span>(plateau[i][j])</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;                {</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                    <span class="keywordflow">case</span> 0:</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                        fprintf(<span class="keyword">new</span>, <span class="stringliteral">&quot;0 &quot;</span>);</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;                        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;                    <span class="keywordflow">case</span> -1:</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;                        fprintf(<span class="keyword">new</span>, <span class="stringliteral">&quot;-1 &quot;</span>);</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;                        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;                    <span class="keywordflow">case</span> 2:</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;                        fprintf(<span class="keyword">new</span>, <span class="stringliteral">&quot;2 &quot;</span>);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;                        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;                    <span class="keywordflow">case</span> 3:</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;                        fprintf(<span class="keyword">new</span>, <span class="stringliteral">&quot;3 &quot;</span>);</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                        <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                }</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                 </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;            }</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        }</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    }</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    {</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;        fprintf(stderr, <span class="stringliteral">&quot;Probleme avec le FILE&quot;</span>);</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    }</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;}</div>
<div class="ttc" id="agenerateur__carte_8c_html_a39dfa37416d4637c92aed49123c5f053"><div class="ttname"><a href="generateur__carte_8c.html#a39dfa37416d4637c92aed49123c5f053">initialiser_plateau</a></div><div class="ttdeci">void initialiser_plateau()</div><div class="ttdoc">fonction qui initialise le plateau de jeu avec des 3 pour etre sur deviter les erreur</div><div class="ttdef"><b>Definition:</b> generateur_carte.c:24</div></div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
